CEC-CTL(1)

NAME
cec-ctl - An application to control cec devices

SYNOPSIS
cec-ctl [-h] [-d <dev>] [many other options]

DESCRIPTION
The cec-ctl tool is used to control cec devices. It is able to control almost any aspect of such devices covering the full CEC API.

OPTIONS

-d, --device=<dev>
    Use device <dev> as the CEC device. If <dev> is a number, then /dev/cec<dev> is used.

-v, --verbose
    Turn on verbose reporting.

-h, --help
    Prints the help message.

-p, --phys-addr=<addr>
    Use this physical address. The address can be a number (e.g. 0 or 0x11b1) or formatted as a.b.c.d where each component is a hex value from 0-f (e.g. 0.0.0.0 or 1.1.b.1).

-o, --osd-name=<name>
    Use this OSD name. The maximum length is 14 characters.

-V, --vendor-id=<id>
    Use this vendor ID. The vendor ID is a number from 0x0 to 0xffffff.

-C, --clear
    Clear all logical addresses, leaving the CEC device unconfigured.

-m, --monitor
    Start monitoring CEC traffic. This will monitor broadcast messages, messages directed to this CEC adapter and messages transmitted by this CEC adapter. Directed messages between other CEC devices are not monitored. This option requires root.

-M, --monitor-all
    Start monitoring all CEC traffic. This will monitor all CEC messages, including directed messages between other CEC devices. This option requires root. Not all CEC devices support this monitoring mode. It will fallback to regular monitoring mode if it is not supported.

-n, --no-reply
    By default when sending a CEC message that expects a reply this utility will wait for that reply. With this option it will just send it without waiting for the reply.

-t, --to=<la>
    Send the message to the given logical address (0-15).

-f, --from=<la>
    Send message from the given logical address. It is only necessary to use this option if multiple logical addresses are claimed. By default the first assigned logical address will be used.

-S, --show-topology
    Show the CEC topology, detecting which other CEC devices are on the CEC bus.

-T, --trace
    Trace all called ioctls. Useful for debugging.

--cec-version-1.4
    Use CEC Version 1.4 instead of 2.0 (the default).

--list-ui-commands
    List all UI commands that can be used with option --user-control-pressed.

--tv
    Configure the CEC adapter as a TV.

--record
    Configure the CEC adapter as a recording and playback device.

--tuner
    Configure the CEC adapter as a tuner device.

--playback
    Configure the CEC adapter as a playback device.

--audio
    Configure the CEC adapter as an audio system device.

--processor
    Configure the CEC adapter as a processor device.

--switch
    Configure the CEC adapter as a pure CEC switch.

--cdc-only
    Configure the CEC adapter as a CDC-only device.

--unregistered
    Configure the CEC adapter as an unregistered device. --feat-record-tv-screen Signal the Record TV Screen feature.

--feat-set-osd-string
    Signal the Set OSD String feature.

--feat-deck-control
    Signal the Deck Control feature.

--feat-set-audio-rate
    Signal the Set Audio Rate feature.

--feat-sink-has-arc-tx
    Signal the sink ARC Tx feature.

--feat-source-has-arc-rx
    Signal the source ARC Rx feature.

--rc-tv-profile-1
    Signal RC TV Profile 1.

--rc-tv-profile-2
    Signal RC TV Profile 2.

--rc-tv-profile-3
    Signal RC TV Profile 3.

--rc-tv-profile-4
    Signal RC TV Profile 4.

--rc-src-dev-root
    Signal that the RC source has a Dev Root Menu.

--rc-src-dev-setup
    Signal that the RC source has a Dev Setup Menu.

--rc-src-contents
    Signal that the RC source has a Contents Menu.

--rc-src-media-top
    Signal that the RC source has a Media Top Menu.

--rc-src-media-context
    Signal that the RC source has a Media Context Menu.

--help-all
    Prints the help message for all options.

--help-audio-rate-control
    Show help for the Audio Rate Control feature.

--help-audio-return-channel-control
    Show help for the Audio Return Channel Control feature.

--help-capability-discovery-and-control
    Show help for the Capability Discovery and Control feature.

--help-deck-control
    Show help for the Deck Control feature.

--help-device-menu-control
    Show help for the Device Menu Control feature.

--help-device-osd-transfer
    Show help for the Device OSD Transfer feature.

--help-dynamic-audio-lipsync
    Show help for the Dynamic Audio Lipsync feature.

--help-osd-display
    Show help for the OSD Display feature.

--help-one-touch-play
    Show help for the One Touch Play feature.

--help-one-touch-record
    Show help for the One Touch Record feature.

--help-power-status
    Show help for the Power Status feature.

--help-remote-control-passthrough
    Show help for the Remote Control Passthrough feature.

--help-routing-control
    Show help for the Routing Control feature.

--help-standby
    Show help for the Standby feature.

--help-system-audio-control
    Show help for the System Audio Control feature.

--help-system-information
    Show help for the System Information feature.

--help-timer-programming
    Show help for the Timer Programming feature.

--help-tuner-control
    Show help for the Tuner Control feature.

--help-vendor-specific-commands
    Show help for the Vendor Specific Commands feature.

EXIT STATUS
On success, it returns 0. Otherwise, it will return the error code.

BUGS
This manual page is a work in progress.

Bug reports or questions about this utility should be sent to the linux-media@vger.kernel.org mailinglist.